from app.functions.roll_dices import roll_dices


def get_score_list(count, modifier):
    tmp_scores = []
    for _ in range(count):
        roll = roll_dices(1, 100, False).get('result') + modifier
        if roll in tmp_scores:
            roll = roll_dices(1, 100, False).get('result') + modifier
        if roll > 100:
            roll = 100
        tmp_scores.append(roll)

    return tmp_scores